<template>
  <Head>
    <title>Gameanueva - Rewards</title>
    <meta type="description" content="Rewards Description" head-key="description">
  </Head>
  <h1 class="text-3xl">Rewards</h1>
  <p>Congrats, {{user.name}}!</p>
  <p>You're on a <span v-if="year"><u>{{ year }}</u> year, </span>
    <span v-if="month"><u>{{ month }}</u> month, </span>
    <span v-if="day"><u>{{ day }}</u> day, </span>
    <span v-if="hour"><u>{{ hour }}</u> hour, </span>
    <span v-if="minute"><u>{{ minute }}</u> minute, </span>
    <span v-if="seconds"><u>{{ seconds }}</u> seconds, </span>
    streak!
  </p>
  <p class="mb-2">You've earned this!</p>
  <img src="../../../public/images/sword.png" />
</template>

<script>

export default {
  props: {
    user: Object,
    year: Number,
    month: Number,
    day: Number,
    hour: Number,
    minute: Number,
    seconds: Number,
    errors: Object,
  },
}

</script>